/*------------------------------------------------------------------
[12. Sliders]
*/
/* Ion Range Slider
https://github.com/IonDen/ion.rangeSlider
--------------------------------------------------
*/
.irs-line-mid, .irs-line-left, .irs-line-right, .irs-bar, .irs-bar-edge, .irs-slider {
    background-image: none;
}

.irs-bar {
    background: #f55753;
}

.irs-wrapper .irs-line {
    background-color: #e6e6e6;
}

.irs-wrapper .irs-line-mid, .irs-wrapper .irs-line-left, .irs-wrapper .irs-line-right, .irs-wrapper .irs-diapason, .irs-wrapper .irs-slider {
    background: none;
}

.irs-wrapper .irs-diapason {
    background-color: #f55753;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.irs-wrapper .irs-from, .irs-wrapper .irs-to, .irs-wrapper .irs-single {
    background: #f55753;
}

.irs-wrapper .irs-slider.from:before {
    top: -2%;
    left: 37%;
    width: 16%;
    height: 100%;
    background: transparent;
    background-color: #f55753;
}

.irs-wrapper .irs-slider.to:before {
    top: -2%;
    left: 37%;
    width: 16%;
    height: 100%;
    background: transparent;
    background-color: #f55753;
}

.irs-wrapper .irs-slider.single:before {
    top: -2%;
    left: 37%;
    width: 16%;
    height: 100%;
    background: transparent;
    background-color: #f55753;
}

.irs-wrapper .irs-from:after, .irs-wrapper .irs-to:after, .irs-wrapper .irs-single:after {
    border-top-color: #f55753;
}

.irs-wrapper.success .irs-diapason {
    background-color: #10cfbd;
}

.irs-wrapper.success .irs-from, .irs-wrapper.success .irs-to, .irs-wrapper.success .irs-single {
    background: #10cfbd;
}

.irs-wrapper.success .irs-slider.from:before {
    background-color: #10cfbd;
}

.irs-wrapper.success .irs-slider.to:before {
    background-color: #10cfbd;
}

.irs-wrapper.success .irs-slider.single:before {
    background-color: #10cfbd;
}

.irs-wrapper.success .irs-from:after, .irs-wrapper.success .irs-to:after, .irs-wrapper.success .irs-single:after {
    border-top-color: #10cfbd;
}

.irs-wrapper.success .irs-bar {
    background-color: #10cfbd;
}

.irs-wrapper.primary .irs-diapason {
    background-color: #6d5cae;
}

.irs-wrapper.primary .irs-from, .irs-wrapper.primary .irs-to, .irs-wrapper.primary .irs-single {
    background: #6d5cae;
}

.irs-wrapper.primary .irs-slider.from:before {
    background-color: #6d5cae;
}

.irs-wrapper.primary .irs-slider.to:before {
    background-color: #6d5cae;
}

.irs-wrapper.primary .irs-slider.single:before {
    background-color: #6d5cae;
}

.irs-wrapper.primary .irs-from:after, .irs-wrapper.primary .irs-to:after, .irs-wrapper.primary .irs-single:after {
    border-top-color: #6d5cae;
}

.irs-wrapper.primary .irs-bar {
    background-color: #6d5cae;
}

.irs-wrapper.warning .irs-diapason {
    background-color: #f8d053;
}

.irs-wrapper.warning .irs-from, .irs-wrapper.warning .irs-to, .irs-wrapper.warning .irs-single {
    background: #f8d053;
}

.irs-wrapper.warning .irs-slider.from:before {
    background-color: #f8d053;
}

.irs-wrapper.warning .irs-slider.to:before {
    background-color: #f8d053;
}

.irs-wrapper.warning .irs-slider.single:before {
    background-color: #f8d053;
}

.irs-wrapper.warning .irs-from:after, .irs-wrapper.warning .irs-to:after, .irs-wrapper.warning .irs-single:after {
    border-top-color: #f8d053;
}

.irs-wrapper.warning .irs-bar {
    background-color: #f8d053;
}

.irs-wrapper.complete .irs-diapason {
    background-color: #48b0f7;
}

.irs-wrapper.complete .irs-from, .irs-wrapper.complete .irs-to, .irs-wrapper.complete .irs-single {
    background: #48b0f7;
}

.irs-wrapper.complete .irs-slider.from:before {
    background-color: #48b0f7;
}

.irs-wrapper.complete .irs-slider.to:before {
    background-color: #48b0f7;
}

.irs-wrapper.complete .irs-slider.single:before {
    background-color: #48b0f7;
}

.irs-wrapper.complete .irs-from:after, .irs-wrapper.complete .irs-to:after, .irs-wrapper.complete .irs-single:after {
    border-top-color: #48b0f7;
}

.irs-wrapper.complete .irs-bar {
    background-color: #48b0f7;
}

.irs-wrapper.danger .irs-diapason {
    background-color: #f55753;
}

.irs-wrapper.danger .irs-from, .irs-wrapper.danger .irs-to, .irs-wrapper.danger .irs-single {
    background: #f55753;
}

.irs-wrapper.danger .irs-slider.from:before {
    background-color: #f55753;
}

.irs-wrapper.danger .irs-slider.to:before {
    background-color: #f55753;
}

.irs-wrapper.danger .irs-slider.single:before {
    background-color: #f55753;
}

.irs-wrapper.danger .irs-from:after, .irs-wrapper.danger .irs-to:after, .irs-wrapper.danger .irs-single:after {
    border-top-color: #f55753;
}

.irs-wrapper.danger .irs-bar {
    background-color: #f55753;
}

/* noUiSlider
http://refreshless.com/nouislider/
--------------------------------------------------
*/
.noUi-target {
    border-radius: 0px;
    border: 0;
    box-shadow: none;
}

.noUi-target.bg-complete .noUi-connect {
    background-color: #48b0f7;
}

.noUi-target.bg-success .noUi-connect {
    background-color: #10cfbd;
}

.noUi-target.bg-warning .noUi-connect {
    background-color: #f8d053;
}

.noUi-target.bg-danger .noUi-connect {
    background-color: #f55753;
}

.noUi-target.bg-info .noUi-connect {
    background-color: #3b4752;
}

.noUi-target.bg-primary .noUi-connect {
    background-color: #6d5cae;
}

.noUi-target.noUi-connect {
    box-shadow: none;
}

.noUi-handle {
    border-radius: 999px;
    box-shadow: none;
}

.noUi-handle:before, .noUi-handle:after {
    display: none;
}

.noUi-horizontal {
    height: 4px;
}

.noUi-horizontal .noUi-handle {
    width: 18px;
    height: 18px;
    left: -15px;
    border: 1px solid #dbdbdb;
    top: -7px;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
}

.noUi-horizontal .noUi-handle:hover {
    border: 1px solid silver;
}

.noUi-horizontal .noUi-handle:active {
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    transform: scale(1.3);
    border: 1px solid #dbdbdb;
}

.noUi-horizontal .noUi-handle:focus {
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    transform: scale(1.3);
    border: 1px solid #dbdbdb;
}

.disable-hover-scale .noUi-handle:active {
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}

.disable-hover-scale .noUi-handle:focus {
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}

.vertical-slider {
    height: 150px;
}

.noUi-vertical {
    width: 4px;
}

.noUi-vertical .noUi-handle {
    width: 18px;
    height: 18px;
    border: 1px solid #dbdbdb;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
}

.noUi-vertical .noUi-handle:hover {
    border: 1px solid silver;
}

.noUi-vertical .noUi-handle:active {
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    transform: scale(1.3);
    border: 1px solid #dbdbdb;
}

.noUi-vertical .noUi-handle:focus {
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    transform: scale(1.3);
    border: 1px solid #dbdbdb;
}

.noUi-base {
    padding: 5px 0;
}

.noUi-origin {
    border-radius: 0px;
    bottom: 5px;
}

.noUi-connect {
    box-shadow: none;
}

.noUi-background {
    background: #ececec !important;
    box-shadow: none;
}

div.cs-skin-slide {
    color: #fff;
    /*font-size: 1.5em;*/
    width: 300px;
}

@media screen and (max-width: 30em) {
    div.cs-skin-slide {
        font-size: 1em;
        width: 250px;
    }
}

div.cs-skin-slide::before {
    content: '';
    background: #282b30;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transition: -webkit-transform 0.3s;
    transition: transform 0.3s;
}

.cs-skin-slide.cs-active::before {
    -webkit-transform: scale3d(1.1, 3.5, 1);
    transform: scale3d(1.1, 3.5, 1);
}

.cs-skin-slide > span {
    height: 80px;
    line-height: 32px;
    -webkit-transition: text-indent 0.3s, opacity 0.3s;
    transition: text-indent 0.3s, opacity 0.3s;
}

@media screen and (max-width: 30em) {
    .cs-skin-slide > span {
        height: 60px;
        line-height: 28px;
    }
}

.cs-skin-slide.cs-active > span {
    text-indent: -290px;
    opacity: 0;
}

.cs-skin-slide.cs-active > span::after {
    -webkit-transform: translate3d(0, -50%, 0);
    transform: translate3d(0, -50%, 0);
}

.cs-skin-slide .cs-options {
    background: transparent;
    width: 70%;
    height: 400%;
    padding: 1.9em 0;
    top: 50%;
    left: 50%;
    -webkit-transform: translate3d(-50%, -50%, 0);
    transform: translate3d(-50%, -50%, 0);
}

@media screen and (max-width: 30em) {
    .cs-skin-slide .cs-options {
        padding-top: 3em;
    }
}

.cs-skin-slide .cs-options li {
    opacity: 0;
    -webkit-transform: translate3d(30%, 0, 0);
    transform: translate3d(30%, 0, 0);
    -webkit-transition: -webkit-transform 0.3s, opacity 0.3s;
    transition: transform 0.3s, opacity 0.3s;
}

.cs-skin-slide.cs-active .cs-options li {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    opacity: 1;
}

.cs-skin-slide.cs-active .cs-options li:first-child {
    -webkit-transition-delay: 0.05s;
    transition-delay: 0.05s;
}

.cs-skin-slide.cs-active .cs-options li:nth-child(2) {
    -webkit-transition-delay: 0.1s;
    transition-delay: 0.1s;
}

.cs-skin-slide.cs-active .cs-options li:nth-child(3) {
    -webkit-transition-delay: 0.15s;
    transition-delay: 0.15s;
}

.cs-skin-slide.cs-active .cs-options li:nth-child(4) {
    -webkit-transition-delay: 0.2s;
    transition-delay: 0.2s;
}

.cs-skin-slide.cs-active .cs-options li:nth-child(5) {
    -webkit-transition-delay: 0.25s;
    transition-delay: 0.25s;
}

/* more options need more delay declaration */
.cs-skin-slide .cs-options li span {
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 2px;
    font-size: 65%;
    padding: 0.8em 1em 0.8em 2.5em;
}

.cs-skin-slide .cs-options li span:hover,
.cs-skin-slide .cs-options li.cs-focus span,
.cs-skin-slide .cs-options li.cs-selected span {
    color: #eb7e7f;
    background: transparent;
}

.cs-skin-slide .cs-selected span::after {
    content: '';
}

/* Pages Select  overriding */
.form-group-default .cs-skin-slide > span {
    padding: 0 30px 0 0;
    height: 22px;
    line-height: 21px;
}

.form-group-default .cs-wrapper {
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
}

.cs-wrapper {
    display: inline-block;
}

.form-control.cs-select:not(.cs-active) {
    width: 100% !important;
}

.cs-select {
    background-color: transparent;
}

.cs-select span {
    text-overflow: initial;
}

.cs-select .cs-placeholder {
    width: 100%;
}

div.cs-skin-slide {
    width: auto;
    font-family: Arial, sans-serif;
    color: #5e5e5e;
}

div.cs-skin-slide:before {
    background-color: transparent;
}

div.cs-skin-slide.cs-transparent {
    background: none;
}

div.cs-skin-slide.cs-transparent .cs-backdrop {
    border-color: transparent;
    background: none;
}

div.cs-skin-slide.cs-transparent.cs-active .cs-backdrop {
    background: #fafafa;
}

div.cs-skin-slide > span {
    height: 35px;
    padding: 6px 33px 6px 17px;
    line-height: 23px;
    z-index: 1;
}

div.cs-skin-slide.cs-active {
    z-index: 790;
}

div.cs-skin-slide.cs-active:before {
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
}

div.cs-skin-slide.cs-active .cs-backdrop {
    border: transparent;
    background: #fafafa;
    box-shadow: -1px 0 1px #ccc, 1px 0 1px #ccc;
}

div.cs-skin-slide > span:after,
div.cs-skin-slide.cs-active > span:after {
    content: "\f0d7";
    font-family: FontAwesome;
    color: #5e5e5e;
}

div.cs-skin-slide .cs-options {
    height: auto;
    padding: 9px 0;
    width: auto;
    padding: 10px;
    max-height: 350px;
    transform: translate3d(1, 1, 1);
    overflow: hidden;
    z-index: 1;
}

div.cs-skin-slide .cs-options ul {
    width: 100%;
    display: table;
}

div.cs-skin-slide .cs-options ul li {
    display: table-row;
}

div.cs-skin-slide .cs-options ul li span {
    display: table-cell;
    font-size: 14px;
    font-weight: normal;
    letter-spacing: normal;
    padding: 5px 0;
    text-transform: none;
    max-height: 350px;
    overflow-y: auto;
}

div.cs-skin-slide .cs-options ul li span:hover,
div.cs-skin-slide .cs-options ul li.cs-focus span,
div.cs-skin-slide .cs-options ul li.cs-selected span {
    color: #2c2c2c;
}

.cs-backdrop {
    background: none repeat scroll 0 0 #fff;
    border: 1px solid rgba(0, 0, 0, 0.07);
    bottom: 0;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.cs-skin-slide.cs-active .cs-options li:nth-child(6) {
    transition-delay: 0.3s;
}

.cs-skin-slide.cs-active .cs-options li:nth-child(7) {
    transition-delay: 0.35s;
}

.cs-skin-slide.cs-active .cs-options li:nth-child(8) {
    transition-delay: 0.4s;
}

.cs-skin-slide.cs-active .cs-options li:nth-child(9) {
    transition-delay: 0.45s;
}

.cs-skin-slide.cs-active .cs-options li:nth-child(10) {
    transition-delay: 0.5s;
}

.cs-skin-slide.cs-active .cs-options li:nth-child(11) {
    transition-delay: 0.55s;
}

body.menu-pin [data-toggle-pin=sidebar]>i:before {
    content: "\f192";
}

[data-toggle-pin="sidebar"] > i:before {
    content:"\f111" ;
}
